function [v_t,Theta_t,R] = fce_pasmovy_sig(m_t,f_c,t,A);

    R_t=1; % Amplitudová modulační složka

    for i=1:length(m_t)
        if m_t(i)==0
            Theta_t(i) = pi/4;        
        elseif m_t(i)==1 
            Theta_t(i) = 3*pi/(4);     
        elseif m_t(i)==2 
            Theta_t(i) = 5*pi/(4);  
        elseif m_t(i)==3
            Theta_t(i) = 7*pi/(4);   
        end;
        R(i) = R_t*A;
    end;
    R_t=R_t*A;
    v_t=R_t.*cos(2*pi*f_c*t+Theta_t);



end





